Bug 838198 - fgrun fails to launch fgfs executable
fgrun fails to launch fgfs executable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fgrun (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabrice Bellet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-06 23:21 EDT by Richard Keech
Modified: 2012-09-10 18:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 18:29:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Keech 2012-07-06 23:21:17 EDT
Description of problem:

the main exec call that occurs at the point you hit the "Run" button is missing the path to the executable /usr/bin/fgfs


Version-Release number of selected component (if applicable):

fgrun-1.6.1-2.fc17.x86_64
FlightGear-2.6.0-2.fc17.x86_64


How reproducible:

every time


Steps to Reproduce:
1. fgrun
2. click through to 3rd screen
3. hit run
  
Actual results:

The third screen shows the following command line:

/usr/bin/fgfs
  --fg-root=/usr/share/flightgear
  --fg-scenery=/usr/share/flightgear/Scenery
  --airport=KSFO
  --aircraft=CitationX
  --disable-random-objects
  --disable-ai-models
  --disable-real-weather-fetch
  --enable-fullscreen

(If this command line is pasted into a wrapper script and run by itself it launches OK.)

Upon hitting "Run", a log window pops up with "execve: no such file or directory"


Running this using strace shows that the filename argument is missing:

execve("", ["", "--fg-root=/usr/share/flightgear", "--fg-scenery=/usr/share/flightge"..., "--airport=KSFO", "--aircraft=CitationX", "--disable-random-objects", "--disable-ai-models", "--disable-real-weather-fetch", "--enable-fullscreen"], [/* 41 vars */]) = -1 ENOENT (No such file or directory)^M


Running as "fgrun --fg-exe=/usr/bin/fgfs" does not help.


Additional info:

1. fgrun would normally be expected to bring up a first screen in which the paths can be set.  This is not shown.

2. The advanced options dialog box shows that the executable is "NOT SET", even when --fg-exe is passed.  This dialog does not allow settings to be changed.
Comment 1 Fedora Update System 2012-07-30 16:50:05 EDT
fgrun-1.6.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fgrun-1.6.1-4.fc17
Comment 2 Fabrice Bellet 2012-07-30 16:52:32 EDT
You may want to remove previous fgrun settings by removing file ~/.fltk/flightgear.org/fgrun.prefs before testing this update.
Comment 3 Fedora Update System 2012-08-01 14:29:53 EDT
Package fgrun-1.6.1-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fgrun-1.6.1-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11359/fgrun-1.6.1-4.fc17
then log in and leave karma (feedback).
Comment 4 Richard Keech 2012-08-17 23:59:41 EDT
fgrun-1.6.1-4.fc17.x86_64 from updates-testing works a treat!

thanks.
Comment 5 Fedora Update System 2012-09-10 18:29:09 EDT
fgrun-1.6.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.